Cyberduck Mountain Duck CLI

#7530 closed enhancement (wontfix)

Login fails with username "anonymous" and password

Reported by: nlittlejohns Owned by: dkocher
Priority: low Milestone:
Component: ftp Version: 4.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

Hi, A customer of mine set up an ftp server with the username anonymous and the password anonymous. This isn't anonymous login, it's ftp://anonymous:anonymous@<server>. When I try to add a bookmark to this server, I can't because Cyberduck automatically selects "anonymous login" when I enter the username "anonymous", blocking me from entering the password to the server.

Steps to reproducce:

  1. Create a server account with the username "anonymous" and the password "anonymous"
  2. Try to create a bookmark that connects to this server with this username and password

Result: Password cannot be entered because Cyberduck assumes there's no password for the user anonymous.

Please make a change so that the username "anonymous" doesn't automatically assume anonymous login. I'm running Cyberduck 4.4 on OS X 10.9 (Mavericks).

Change History (8)

comment:1 Changed on Oct 30, 2013 at 6:01:37 PM by dkocher

  • Component changed from interface to ftp
  • Resolution set to wontfix
  • Status changed from new to closed

For anonymous users by default login will either work without a password or any password. Use a different username if the password matters.

comment:2 Changed on Oct 30, 2013 at 6:17:32 PM by nlittlejohns

  • Resolution wontfix deleted
  • Status changed from closed to reopened

It's not possible for me to use a different username as I'm not in control of the server. Having an ftp user account with the username anonymous and a specific password is a valid use case (it's not a smart thing to do, but it's a thing that you can do). As it stands, Cyberduck blocks the user from bookmarking an ftp site that is set up in this way for no valid reason.

To be clear, I'm not attempting to perform an anonymous login, I'm trying to log in as the user "anonymous" with a specific password. Cyberduck prevents me from entering a password for the user "anonymous" and I have no access to any other user accounts on the server, so there is no way for me to bookmark this server in the current version of cyberduck

For anonymous users by default login will either work without a password or any password.

It's not an anonymous user, it's a user with the username "anonymous"

Use a different username if the password matters.

I can't, I'm not in control of the server. While the use case is unusual, it seems valid to me and I'm surprised to see the bug report discarded so readily.

comment:3 Changed on Oct 30, 2013 at 6:34:00 PM by dkocher

  • Priority changed from normal to low
  • Type changed from defect to enhancement

comment:4 Changed on Oct 31, 2013 at 12:41:37 PM by dkocher

  • Milestone 4.4.1 deleted

comment:5 Changed on Nov 1, 2013 at 11:24:54 AM by dkocher

  • Summary changed from Can't login with the username "anonymous" (a user called anonymous) to Login fails with username "anonymous" and password

comment:6 Changed on Nov 1, 2013 at 11:26:11 AM by dkocher

As a workaround you can set the hidden property connection.login.anon.pass using

defaults write ch.sudo.cyberduck connection.login.anon.pass anonymous

comment:7 Changed on Nov 1, 2013 at 11:27:48 AM by nlittlejohns

Oh, excellent. Thanks very much for that, works perfectly!

Much appreciated.

comment:8 Changed on Nov 20, 2013 at 2:44:01 PM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software